Subject: Re: Jumbo frame question...

From: Eric Dumazet <[email-masked]>
Date: Fri, 24 Jul 2009 21:13:41 +0200

Robin Getz a écrit :
> On Fri 24 Jul 2009 12:39, Rick Jones pondered:
>> David Miller wrote:
>>> From: Robin Getz <[email-masked]>
>>> Date: Fri, 24 Jul 2009 11:41:55 -0400
>>>
>>>> Should a gigabit card, configured as 100, be sending jumbo UDP frames?
>>>>
>>>> My understanding, is no - this is a spec violation..
>> In so far as there is no de jure spec for Jumbo Frames, it is rather
>> difficult to have a spec violation :).
> 
> The spec I was talking about was the MTU...
> 
> rgetz@pinky:~> /sbin/ifconfig eth0
> eth0      Link encap:Ethernet  HWaddr 00:11:11:B0:A5:D4
>           inet addr:192.168.0.10  Bcast:192.168.0.255  Mask:255.255.255.0
>           inet6 addr: fe80::211:11ff:feb0:a5d4/64 Scope:Link
>           UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
>           RX packets:45978 errors:5 dropped:0 overruns:0 frame:0
>           TX packets:44536 errors:0 dropped:0 overruns:0 carrier:0
>           collisions:3193 txqueuelen:1000
>           RX bytes:11583575 (11.0 Mb)  TX bytes:20025122 (19.0 Mb)
>           Interrupt:16
> 
> 
> My MTU is 1500, but when tftp requests a block size of over that - the host 
> does not fragment it (like I thought it should).

Which broken driver would do this me asking, and how can you be sure a jumbo frame was ever sent ?

I guess your tcpdump is fooled by gso settings... Did you tried
# ethtool -K eth0 gso off